#multi-level {height:27px; position:relative; z-index:100;}
#multi-level .pad {float:left;}

/* The menu styling */
/* Remove the padding, margins and bullets from the lists */
.menu, .menu ul {list-style-type:none; padding:0; margin:0; font-family:arial, sans-serif;}

/* Set up the top level list items and float left to place inline */
.menu li.top {display:block; float:left; position:relative;}

/* Style and position the table so it takes no part in the menu function. The font size is necessary for IE5.5 */
.menu table {border-collapse:collapse; width:0; height:0; position:absolute; top:0; left:0;}

/* Default top link link styling */
.menu li.top a.top_link {display:block; float:left; height:27px;}
.menu li.top a span {position:absolute; left:-9999px; top:0; z-index:0; font-size:10px;} /* move the link text off screen */

/* pre-load the hover images into the lists */
.menu li.p1 {width:126px; background:url(multi_level-files/about1.png) no-repeat;;}
.menu li.p2 {width:126px; background:url(multi_level-files/services1.png) no-repeat;;}
.menu li.p3 {width:126px; background:url(multi_level-files/webdesign1.png) no-repeat;;}
.menu li.p4 {width:126px; background:url(multi_level-files/contact1.png) no-repeat;;}

/* set up the normal unhovered images in the links */
.menu li a#about {width:126px; background:url(multi_level-files/about.png) no-repeat;}
.menu li a#services {width:126px; background:url(multi_level-files/services.png) no-repeat;}
.menu li a#webdesign {width:126px; background:url(multi_level-files/webdesign.png) no-repeat;}
.menu li a#contact {width:126px; background:url(multi_level-files/contact.png) no-repeat;}

/* Style the list OR link hover. Depends on which browser is used */
.menu a:hover {visibility:visible;} /* for IE6 */
.menu li:hover { position:relative; z-index:200;} /* for IE7 */

/* make the links transparent on hover so that the hover images in the lists show through (no flicker) */
.menu li a#about:hover, .menu li:hover a#about,
.menu li a#services:hover, .menu li:hover a#services,
.menu li a#webdesign:hover, .menu li:hover a#webdesign,
.menu li a#contact:hover, .menu li:hover a#contact {background:transparent;}

/* keep the 'next' level invisible by placing it off screen. */
.menu ul, 
.menu :hover ul ul, 
.menu :hover ul :hover ul ul,
.menu :hover ul :hover ul :hover ul ul,
.menu :hover ul :hover ul :hover ul :hover ul ul {position:absolute; left:-9999px; top:-9999px; width:0; height:0;}

/* set up the first drop down sub level */
.menu :hover ul.sub {left:6px; top:27px; background: #6a8ba5; padding:3px 0; border:1px solid #4d7493; white-space:nowrap; width:130px; height:auto;}
.menu :hover ul.sub li {display:block; height:20px; position:relative; float:left; width:130px;}
.menu :hover ul.sub li a {display:block; font-weight:700; font-size:11px; height:20px; width:124px; line-height:20px; text-indent:5px; color:#fff; text-decoration:none; border:3px solid #6a8ba5; border-width:0 0 0 3px;}
.menu :hover ul.sub li a.fly {background:#6a8ba5 url(multi_level-files/arrow.gif) 120px 7px no-repeat;}
.menu :hover ul.sub li a:hover {background:#fff; color:#6a8ba5;}
.menu :hover ul.sub li a.fly:hover {background:#fff url(multi_level-files/arrow_over.gif) 120px 7px no-repeat; color:#6a8ba5;}
.menu :hover ul li:hover > a.fly {background:#fff url(multi_level-files/arrow_over.gif) 120px 7px no-repeat; color:#6a8ba5;} 

/* set up the flyout levels when hovering */
.menu :hover ul :hover ul,
.menu :hover ul :hover ul :hover ul,
.menu :hover ul :hover ul :hover ul :hover ul,
.menu :hover ul :hover ul :hover ul :hover ul :hover ul
{left:118px; top:-4px; background: #6a8ba5; padding:3px 0; border:1px solid #4d7493; white-space:nowrap; width:120px; z-index:200; height:auto; z-index:300;}